Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class ReassignmentImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.ReassignmentImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.Reassignment

    @Entity
    public class ReassignmentImpl

extends Object
implements org.kie.internal.task.api.model.Reassignment

See Also:
  Serialized Form

Constructor Summary
`ReassignmentImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`List<I18NText>` | `getDocumentation()`
`Long` | `getId()`
`List<OrganizationalEntity>` | `getPotentialOwners()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setDocumentation(List<I18NText> documentation)`
`void` | `setId(long id)`
`void` | `setPotentialOwners(List<OrganizationalEntity> potentialOwners)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReassignmentImpl

    public ReassignmentImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `org.kie.internal.task.api.model.Reassignment`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.Reassignment`

### getDocumentation

    public List<I18NText> getDocumentation()

  Specified by:
    `getDocumentation` in interface `org.kie.internal.task.api.model.Reassignment`

### setDocumentation

    public void setDocumentation(List<I18NText> documentation)

  Specified by:
    `setDocumentation` in interface `org.kie.internal.task.api.model.Reassignment`

### getPotentialOwners

    public List<OrganizationalEntity> getPotentialOwners()

  Specified by:
    `getPotentialOwners` in interface `org.kie.internal.task.api.model.Reassignment`

### setPotentialOwners

    public void setPotentialOwners(List<OrganizationalEntity> potentialOwners)

  Specified by:
    `setPotentialOwners` in interface `org.kie.internal.task.api.model.Reassignment`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.